Package com.independentsoft.office.odf.styles

# Class ListLevelLabelAlignment

java.lang.Object
com.independentsoft.office.odf.styles.ListLevelLabelAlignment

public class ListLevelLabelAlignment extends Object
Represents the position and spacing of a list label and its list item.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListLevelLabelAlignment()`
  Initializes a new instance of the ListLevelLabelAlignment class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ListLevelLabelAlignment`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `LabelFollowedBy`
  `getLabelFollowedBy()`
  Gets the character that is inserted behind a list label.
  `Size`
  `getLeftMargin()`
  Gets the left margins for the text lines of a list item.
  `Size`
  `getListTabStopPosition()`
  Specifies an additional tab stop which is inserted into the list of tab stops that are defined for a list item.
  `Size`
  `getTextIndent()`
  Gets the indent for the text lines of a list item.
  `void`
  `setLabelFollowedBy​(LabelFollowedBy labelFollowedBy)`
  Sets the character that is inserted behind a list label.
  `void`
  `setLeftMargin​(Size leftMargin)`
  Sets the left margins for the text lines of a list item.
  `void`
  `setListTabStopPosition​(Size listTabStopPosition)`
  Specifies an additional tab stop which is inserted into the list of tab stops that are defined for a list item.
  `void`
  `setTextIndent​(Size textIndent)`
  Sets the indent for the text lines of a list item.
  `String`
  `toString()`
  Converts the value of the current ListLevelLabelAlignment object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ListLevelLabelAlignment

    public ListLevelLabelAlignment()
    Initializes a new instance of the ListLevelLabelAlignment class.

- ## Method Details

  - ### clone

    public ListLevelLabelAlignment clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current ListLevelLabelAlignment object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getLeftMargin

    public Size getLeftMargin()
    Gets the left margins for the text lines of a list item.
    Returns:
      the left margin

  - ### setLeftMargin

    public void setLeftMargin​(Size leftMargin)
    Sets the left margins for the text lines of a list item.
    Parameters:
      `leftMargin` - the new left margin

  - ### getTextIndent

    public Size getTextIndent()
    Gets the indent for the text lines of a list item.
    Returns:
      the text indent

  - ### setTextIndent

    public void setTextIndent​(Size textIndent)
    Sets the indent for the text lines of a list item.
    Parameters:
      `textIndent` - the new text indent

  - ### getLabelFollowedBy

    public LabelFollowedBy getLabelFollowedBy()
    Gets the character that is inserted behind a list label.
    Returns:
      the label followed by

  - ### setLabelFollowedBy

    public void setLabelFollowedBy​(LabelFollowedBy labelFollowedBy)
    Sets the character that is inserted behind a list label.
    Parameters:
      `labelFollowedBy` - the new label followed by

  - ### getListTabStopPosition

    public Size getListTabStopPosition()
    Specifies an additional tab stop which is inserted into the list of tab stops that are defined for a list item.
    Returns:
      the list tab stop position

  - ### setListTabStopPosition

    public void setListTabStopPosition​(Size listTabStopPosition)
    Specifies an additional tab stop which is inserted into the list of tab stops that are defined for a list item.
    Parameters:
      `listTabStopPosition` - the new list tab stop position